--- old/usr/src/common/secflags/secflags.c	2016-06-15 19:31:34.183817070 -0400
+++ new/usr/src/common/secflags/secflags.c	2016-06-15 19:31:34.211239471 -0400
@@ -223,7 +223,7 @@
 	for (fd = flagdescs; fd->name != NULL; fd++) {
 		if (secflag_isset(flags, fd->value)) {
 			if (buf[0] != '\0')
-				(void) strlcat(buf, ", ", buflen);
+				(void) strlcat(buf, ",", buflen);
 			(void) strlcat(buf, fd->name, buflen);
 		}
 
@@ -231,11 +231,11 @@
 	}
 
 	if (flags != 0) { 	/* unknown flags */
-		char hexbuf[11]; /* 0x%08x */
+		char hexbuf[19]; /* 0x%16 PRIx64 */
 
-		(void) snprintf(hexbuf, sizeof (hexbuf), "0x%08x", flags);
+		(void) snprintf(hexbuf, sizeof (hexbuf), "0x%16" PRIx64, flags);
 		if (buf[0] != '\0')
-			(void) strlcat(buf, ", ", buflen);
+			(void) strlcat(buf, ",", buflen);
 		(void) strlcat(buf, hexbuf, buflen);
 	}
 }
